Modification Update Version Checker

Started by vbgamer45, May 29, 2022, 09:21:43 PM

Previous topic - Next topic

vbgamer45

Update
1.1
!Fixed bug with scheduled task
!Updates to style of check updates button thanks to  @rjen
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

@rjen

Quote from: vbgamer45 on June 06, 2022, 10:25:22 PMUpdate
1.1
!Fixed bug with scheduled task
!Updates to style of check updates button thanks to  @rjen

Yep, all good now. Thanks
Running SMF 2.1 with latest TinyPortal at www.fjr-club.nl

TurtleKicker

Thought: for simplicity's sake, maybe blend this data into the main "Modification packages" table?

Rename the existing "Version" column to "Installed version". Then add a new column "Latest version".
If Installed ver = Latest version, text color of "Installed Version" is GREEN.
If Installed ver < Latest version, text color of "Installed Version" is RED.

jsx

When I want to download an update, I get this message:

You cannot download or install new packages because the Packages directory, or one of the files in it, is not writable!

In files permissions, when I want to set Save for Packages it doesn't work.

vbgamer45

Yes it is a bug with the package server. I have reported it already.
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Michael Vail

#45
Great mod vbgamer45!!! I love your mods and your constant work to make them the best. Thank you so much to you and all those who contributed to make this mod how it is now. Looking forward to the package manager permissions issue getting resolved so it all works seemlessly.

Happy Holidays everyone!

I've removed the size bbcodes. Please try to not use them so it is easier for the SMF Team to read these on their phones. ~ Steve

vbgamer45

Yeah, it is something that needs to be fixed on the mod site I believe.
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

jsx

@vbgamer45

I see you updated the mod on the mods page. I downloaded and installed, but I still get this:

"You cannot download or install new packages because the Packages directory, or one of the files in it, is not writable!"

My Packages folder is set up like this:

Package Manager > File Permissions > Packages Writable (chmod: 0755)

vbgamer45

That's a known issue with the SMF site at this time not something I can fix.
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

jsx

I understand now, thanks for the clarification.

Michael Vail

Thank you for the edit to my post above Steve. It seems all my posts here have the same problem and I'm not sure why. It's like the editor for the forum has somehow stored some settings for me that change how I enter text. I clicked off the "Toggle Source View" button on the editor toolbar and that seems to have fixed it.

Happy Holidays,
Mike

Steve

You're welcome.

Happy and safe holidays to you and yours.
Autocorrect is my worst enema.

landyvlad

Hmm good to find this mod. I'm soon to upgrade to SMF 2.1.3 (from 2.0.19) and was under the impression this functionality was part of 2.1 core. Evidently not the case, so good work!
"Put as much effort into your question as you'd expect someone to give in an answer"

Please do not PM, IM or Email me with questions on astrophysics or theology.  You will get better and faster responses by asking homeless people in the street. Thank you.

Be the person your dog thinks you are.

Chyandour

Hi,

Very useful mod, but I have a problem. The mod installs okay and detects mods that need updating, but when I try to update them I get the following error:

"You cannot download or install new packages because the Packages directory, or one of the files in it, is not writeable!"

What should the folder and file permissions be for the Packages folder and files?

jsx

@Chyandour

Here you have an explanation:

Quote from: vbgamer45 on November 29, 2022, 09:29:41 AMThat's a known issue with the SMF site at this time not something I can fix.

Senkusha

Tagging because I'm getting the same error.  It looks like this is still unresolved.  I'll patiently wait for an update.  Thank you for an awesome MOD! :)
--Kokoro (f.k.a. Senkusha)
The Anime Brigade
Anime-style Role Playing Games and Discussion.
(SMF v. 2.1.3, PHP v. 8.0)

Advertisement: